Subject: Re: bug#37211: 26.2; outline-hide-sublevels works incorrectly in lisp (elisp, scheme) modes -- hides everything regardless of the level

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Nov 2020 12:49:49 +0100

Vladimir Nikishkin <[email-masked]> writes:

> I tested this with `emacs -Q'.
> Steps to produce:
>
> 1. Visit a lisp file, such as
> /usr/share/emacs/26.2/lisp/char-fold.el.gz
> 2. Type M-x outline-minor-mode
> 3. Type M-x outline-hide-sublevels
>
> Observe that almost everything is hidden, not just sexps under level 1.
> This works even though M-: (outline-level) returns 1 for most of the
> lines.

I'm not quite sure I understand this bug report -- `M-x
outline-hide-sublevels' hides everything but top-level headings, which
it's supposed to do, I think?

What do you expect to happen instead with that command?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no